mirror of
https://github.com/pentoo/pentoo-overlay
synced 2026-04-21 14:21:02 +02:00
I guess I should type commit more often... openrc, mdk, kernel fixes, update fixes, blah blah blah
This commit is contained in:
parent
e552012589
commit
8c10dc3b6b
16 changed files with 993 additions and 18 deletions
|
|
@ -1,6 +1,8 @@
|
|||
AUX fix_wids_mdk3_v5.patch 520 RMD160 cd1e9020b06782fa0c98adf274c7b99ed3cbff5c SHA1 3564b5a6e73bff3e705a461890d61a87dfdbc002 SHA256 c0168ab3b50b18c973c954a831bfd6d8373c3f70570247a15d52da6914fe490d
|
||||
DIST mdk2-beta2.tar.bz2 19271 RMD160 d1627608588b38cb5a211d1f9f13e697536c9752 SHA1 437265abf51397a0c831978516b86abe388552fa SHA256 13dcfb1a74b7e9295b0716de671fb05d23b522fbc09f7a71e6da7c2c29fb421a
|
||||
DIST mdk3-v5.tar.bz2 207775 RMD160 f913c30b5c1a878cd7d4d79a2545bb06e296e7fc SHA1 646d54f9f2e45475d86098e21a36d2a70f5ed965 SHA256 f9407e74de62e5d58dd981a16f9ce82e85b522735dd4d4d423d9df74e8ba1057
|
||||
DIST mdk3-v6.tar.bz2 213279 RMD160 22857e15a86fee1a0419916fcd12d14aeb14ebb1 SHA1 2832d176c02d9c3eb3bcb3b35acfdc94793161dd SHA256 4dac4d0ad54c4dbbf8857f527c573af6495a91d2e503774274b39c3ca8ed11dd
|
||||
EBUILD mdk-2_beta2.ebuild 479 RMD160 9b3510cabd7f6826e79e999b4ec0294e5ded38b0 SHA1 472d68cb67c80af5762b7b0dec42a0584187fc3d SHA256 1fc9b50376c3fffba589e6f3817e33f6fa9f776163b9c84711a6af3df4d77c3c
|
||||
EBUILD mdk-3.5-r1.ebuild 700 RMD160 33c6b028c95d2f7af47bf41d522007b8b2be4490 SHA1 07e8d20c9503ecd50c184ed08e2e2f8ccae83750 SHA256 2f5e8cdea53df02dfc68c9471aae14224d7baa6a53b6671f10f58aee7dd187a8
|
||||
EBUILD mdk-3.5.ebuild 575 RMD160 cfc6141cebd7459be9c9dc0a38117a14888aec19 SHA1 25c9c19927befe3fc6738287498bdeac47ba1c56 SHA256 aebc9287ff70044ebb556457666d69e2fbf48cb7a80e4ec8949ee6846038198b
|
||||
EBUILD mdk-3.6.ebuild 700 RMD160 33c6b028c95d2f7af47bf41d522007b8b2be4490 SHA1 07e8d20c9503ecd50c184ed08e2e2f8ccae83750 SHA256 2f5e8cdea53df02dfc68c9471aae14224d7baa6a53b6671f10f58aee7dd187a8
|
||||
|
|
|
|||
36
net-wireless/mdk/mdk-3.6.ebuild
Normal file
36
net-wireless/mdk/mdk-3.6.ebuild
Normal file
|
|
@ -0,0 +1,36 @@
|
|||
# Copyright 1999-2005 Gentoo Foundation
|
||||
# Distributed under the terms of the GNU General Public License v2
|
||||
# $Header: $
|
||||
|
||||
MY_P=${PN}${PV/./-v}
|
||||
|
||||
DESCRIPTION="Bruteforce hidden SSID"
|
||||
HOMEPAGE="http://homepages.tu-darmstadt.de/~p_larbig/wlan/"
|
||||
SRC_URI="http://homepages.tu-darmstadt.de/~p_larbig/wlan/${MY_P}.tar.bz2"
|
||||
|
||||
LICENSE="GPL-2"
|
||||
SLOT="0"
|
||||
KEYWORDS="~amd64 ~x86"
|
||||
IUSE=""
|
||||
|
||||
inherit eutils
|
||||
|
||||
DEPEND=""
|
||||
|
||||
S=${WORKDIR}/${MY_P}
|
||||
|
||||
src_unpack() {
|
||||
unpack ${A}
|
||||
|
||||
cd "${S}"
|
||||
epatch "${FILESDIR}"/fix_wids_mdk3_v5.patch
|
||||
}
|
||||
|
||||
src_compile() {
|
||||
make -j1 || die "make failed"
|
||||
}
|
||||
|
||||
src_install() {
|
||||
dosbin mdk3 || die "dobin failed"
|
||||
dodoc AUTHORS CHANGELOG TODO docs/* useful_files/* || die "dodoc failed"
|
||||
}
|
||||
11
sys-apps/openrc/Manifest
Normal file
11
sys-apps/openrc/Manifest
Normal file
|
|
@ -0,0 +1,11 @@
|
|||
AUX 0.5.2/0001-msg-style.patch 1714 RMD160 15a9a9075dce18fb0beece6a3324c143ec973ed2 SHA1 b9082ab1160952a3412be3deb3825d901cce5d49 SHA256 4c819af483240b1c822d25ae3e604376b6255b4577c191bddfc84c309efab08e
|
||||
AUX 0.5.2/0002-useful-functions.patch 1801 RMD160 5b4ca22e434a3c3d9202e5e95d7dfd4518e0393a SHA1 86f4a4f49989c688269a6e1f95c27ef00f5186ca SHA256 de5e11cd8c514353a5f97b13df52a7220b1b967dd0586336d16864d6c372c62f
|
||||
AUX 0.5.2/0003-KV.patch 2565 RMD160 62ebe49be43f9b3691400a5a6ebf05c8cb048f0b SHA1 b61e1fe0fc49705a44b0e9fde1d8ec0cfc1e343a SHA256 44be27f8bf419489b29507a8ddab74ff890d6ebcfa316570077393f1c6bac082
|
||||
AUX 0.5.2/0004-fix-typo.patch 673 RMD160 aeeebc237042564aae1f0e09c38accec8aac3b3a SHA1 f86be91ad8f3c441af6b04fa8cb1ed99c3858a36 SHA256 7065d2368fb8dab56595a7f27d5b00c5d360eb22af35723d6cd9bf06d91b21ac
|
||||
AUX 0.5.2/0005-fix-iproute2-support.patch 835 RMD160 859e4c8d2c1c8fe8b787432beea370bc955a5e7c SHA1 0cd6fea09ca65945aa86905fc9665d8410186f3c SHA256 491c0444de2d8a11ff17343abb9295e61178db0d3b07e3b075424abe3f287827
|
||||
AUX 9999/0001-msg-style.patch 1714 RMD160 15a9a9075dce18fb0beece6a3324c143ec973ed2 SHA1 b9082ab1160952a3412be3deb3825d901cce5d49 SHA256 4c819af483240b1c822d25ae3e604376b6255b4577c191bddfc84c309efab08e
|
||||
AUX 9999/0002-useful-functions.patch 1801 RMD160 5b4ca22e434a3c3d9202e5e95d7dfd4518e0393a SHA1 86f4a4f49989c688269a6e1f95c27ef00f5186ca SHA256 de5e11cd8c514353a5f97b13df52a7220b1b967dd0586336d16864d6c372c62f
|
||||
AUX 9999/0003-KV.patch 2565 RMD160 62ebe49be43f9b3691400a5a6ebf05c8cb048f0b SHA1 b61e1fe0fc49705a44b0e9fde1d8ec0cfc1e343a SHA256 44be27f8bf419489b29507a8ddab74ff890d6ebcfa316570077393f1c6bac082
|
||||
AUX openrc.logrotate 71 RMD160 4e7370ca873bd917f16e2b8cfc4bc71accbf2353 SHA1 ef1f26020db432f96a1485f72a189b288ef6873b SHA256 0b44210db9770588bd491cd6c0ac9412d99124c6be4c9d3f7d31ec8746072f5c
|
||||
DIST openrc-0.5.2.tar.bz2 153419 RMD160 a2c5e11e1df7325c4e9678cabee62d1168c8bff7 SHA1 3ef138df0e75e50484f9064b1653cebc3b8ab17e SHA256 0633f5cc8c0f055a292722b36108cebbe1925f164df8c0d2688dd376e6f0e18c
|
||||
EBUILD openrc-0.5.2-r1.ebuild 12016 RMD160 46594936b6c96f7718084ce71e154347f07688cd SHA1 16c3c67a8e6d68459e0b6bb1c802b6bc2650a5f8 SHA256 abed0697b4f66a6b249fcb6a353ed437a092eb5eefd1aa3bcd725647b98e6884
|
||||
46
sys-apps/openrc/files/0.5.2/0001-msg-style.patch
Normal file
46
sys-apps/openrc/files/0.5.2/0001-msg-style.patch
Normal file
|
|
@ -0,0 +1,46 @@
|
|||
From 1eddb56f11b41c4bf4f878c995c5d140b1f9d44d Mon Sep 17 00:00:00 2001
|
||||
From: Mike Frysinger <vapier@gentoo.org>
|
||||
Date: Mon, 24 Mar 2008 01:48:19 -0400
|
||||
Subject: [PATCH] This reverts commit 0e2f160c95b15e95f3885e3f5a3670ec5ae0a709. 2 spaces in 80 cols has never made any sort of realistic difference and we're not going to change this behavior in Gentoo.
|
||||
|
||||
---
|
||||
src/libeinfo/libeinfo.c | 9 +++------
|
||||
1 files changed, 3 insertions(+), 6 deletions(-)
|
||||
|
||||
diff --git a/src/libeinfo/libeinfo.c b/src/libeinfo/libeinfo.c
|
||||
index f8ddcb5..c46cacb 100644
|
||||
--- a/src/libeinfo/libeinfo.c
|
||||
+++ b/src/libeinfo/libeinfo.c
|
||||
@@ -817,7 +817,7 @@ static void _eend(FILE * __EINFO_RESTRICT fp, int col, ECOLOR color,
|
||||
if (!msg)
|
||||
return;
|
||||
|
||||
- cols = get_term_columns(fp) - (strlen(msg) + 3);
|
||||
+ cols = get_term_columns(fp) - (strlen(msg) + 5);
|
||||
|
||||
/* cons25 is special - we need to remove one char, otherwise things
|
||||
* do not align properly at all. */
|
||||
@@ -831,18 +831,15 @@ static void _eend(FILE * __EINFO_RESTRICT fp, int col, ECOLOR color,
|
||||
if (term_is_cons25)
|
||||
cols--;
|
||||
|
||||
- /* If extra spacing is required around msg, then please change
|
||||
- * via a runtime knob and leave this default as is as it saves 2
|
||||
- * valuable columns when running on 80 column screens. */
|
||||
if (cols > 0 && colour_terminal(fp)) {
|
||||
- fprintf(fp, "%s%s %s[%s%s%s]%s\n", up, tgoto(goto_column, 0, cols),
|
||||
+ fprintf(fp, "%s%s %s[%s %s %s]%s\n", up, tgoto(goto_column, 0, cols),
|
||||
ecolor(ECOLOR_BRACKET), ecolor(color), msg,
|
||||
ecolor(ECOLOR_BRACKET), ecolor(ECOLOR_NORMAL));
|
||||
} else {
|
||||
if (col > 0)
|
||||
for (i = 0; i < cols - col; i++)
|
||||
fprintf(fp, " ");
|
||||
- fprintf(fp, " [%s]\n", msg);
|
||||
+ fprintf(fp, " [ %s ]\n", msg);
|
||||
}
|
||||
}
|
||||
|
||||
--
|
||||
1.5.4.4
|
||||
|
||||
78
sys-apps/openrc/files/0.5.2/0002-useful-functions.patch
Normal file
78
sys-apps/openrc/files/0.5.2/0002-useful-functions.patch
Normal file
|
|
@ -0,0 +1,78 @@
|
|||
From 79e8ce8d2ea0ede99aba18d5f9a625a110aa918f Mon Sep 17 00:00:00 2001
|
||||
From: Mike Frysinger <vapier@gentoo.org>
|
||||
Date: Mon, 24 Mar 2008 02:03:39 -0400
|
||||
Subject: [PATCH] add a softlevel() function to the API so people dont have to worry about inner details and move get_bootparam back to the exported function.sh api
|
||||
|
||||
---
|
||||
sh/functions.sh.in | 22 ++++++++++++++++++++++
|
||||
sh/rc-functions.sh.in | 23 -----------------------
|
||||
2 files changed, 22 insertions(+), 23 deletions(-)
|
||||
|
||||
diff --git a/sh/functions.sh.in b/sh/functions.sh.in
|
||||
index 3f41f8f..be5285c 100644
|
||||
--- a/sh/functions.sh.in
|
||||
+++ b/sh/functions.sh.in
|
||||
@@ -42,6 +42,29 @@ rc_runlevel() {
|
||||
rc-status --runlevel
|
||||
}
|
||||
|
||||
+get_bootparam()
|
||||
+{
|
||||
+ local match="$1"
|
||||
+ [ -z "$match" -o ! -r /proc/cmdline ] && return 1
|
||||
+
|
||||
+ set -- $(cat /proc/cmdline)
|
||||
+ while [ -n "$1" ]; do
|
||||
+ [ "$1" = "$match" ] && return 0
|
||||
+ case "$1" in
|
||||
+ gentoo=*)
|
||||
+ local params="${1##*=}"
|
||||
+ local IFS=, x=
|
||||
+ for x in $params; do
|
||||
+ [ "$x" = "$match" ] && return 0
|
||||
+ done
|
||||
+ ;;
|
||||
+ esac
|
||||
+ shift
|
||||
+ done
|
||||
+
|
||||
+ return 1
|
||||
+}
|
||||
+
|
||||
_sanitize_path()
|
||||
{
|
||||
local IFS=":" p= path=
|
||||
diff --git a/sh/rc-functions.sh.in b/sh/rc-functions.sh.in
|
||||
index ebdb768..68cd6e7 100644
|
||||
--- a/sh/rc-functions.sh.in
|
||||
+++ b/sh/rc-functions.sh.in
|
||||
@@ -61,29 +61,6 @@ is_union_fs()
|
||||
unionctl "$1" --list >/dev/null 2>&1
|
||||
}
|
||||
|
||||
-get_bootparam()
|
||||
-{
|
||||
- local match="$1"
|
||||
- [ -z "$match" -o ! -r /proc/cmdline ] && return 1
|
||||
-
|
||||
- set -- $(cat /proc/cmdline)
|
||||
- while [ -n "$1" ]; do
|
||||
- [ "$1" = "$match" ] && return 0
|
||||
- case "$1" in
|
||||
- gentoo=*)
|
||||
- local params="${1##*=}"
|
||||
- local IFS=, x=
|
||||
- for x in $params; do
|
||||
- [ "$x" = "$match" ] && return 0
|
||||
- done
|
||||
- ;;
|
||||
- esac
|
||||
- shift
|
||||
- done
|
||||
-
|
||||
- return 1
|
||||
-}
|
||||
-
|
||||
# Add our sbin to $PATH
|
||||
case "$PATH" in
|
||||
"$RC_LIBDIR"/sbin|"$RC_LIBDIR"/sbin:*);;
|
||||
120
sys-apps/openrc/files/0.5.2/0003-KV.patch
Normal file
120
sys-apps/openrc/files/0.5.2/0003-KV.patch
Normal file
|
|
@ -0,0 +1,120 @@
|
|||
From dac703b26c71cd8479b71d101c4e1ddb8eadc194 Mon Sep 17 00:00:00 2001
|
||||
From: Mike Frysinger <vapier@gentoo.org>
|
||||
Date: Mon, 24 Mar 2008 03:14:02 -0400
|
||||
Subject: [PATCH] add back KV_* funcs
|
||||
|
||||
---
|
||||
sh/functions.sh.in | 35 +++++++++++++++++++++++++++++++++++
|
||||
sh/runtests.sh | 45 +++++++++++++++++++++++++++++++++++++++++++++
|
||||
2 files changed, 80 insertions(+), 0 deletions(-)
|
||||
|
||||
diff --git a/sh/functions.sh.in b/sh/functions.sh.in
|
||||
index 140f6dc..0522792 100644
|
||||
--- a/sh/functions.sh.in
|
||||
+++ b/sh/functions.sh.in
|
||||
@@ -65,6 +65,41 @@ get_bootparam()
|
||||
return 1
|
||||
}
|
||||
|
||||
+KV_major() {
|
||||
+ [ -z "$*" ] && return 1
|
||||
+ local KV="$*"
|
||||
+ echo ${KV%%.*}
|
||||
+}
|
||||
+
|
||||
+KV_minor() {
|
||||
+ [ -z "$*" ] && return 1
|
||||
+ local KV="$*"
|
||||
+ KV=${KV#*.}
|
||||
+ echo ${KV%%.*}
|
||||
+}
|
||||
+
|
||||
+KV_micro() {
|
||||
+ [ -z "$*" ] && return 1
|
||||
+ local KV="$*"
|
||||
+ KV=${KV#*.*.}
|
||||
+ echo ${KV%%[![:digit:]]*}
|
||||
+}
|
||||
+
|
||||
+KV_to_int() {
|
||||
+ [ -z "$*" ] && return 1
|
||||
+ local KV_MAJOR="$(KV_major "$*")"
|
||||
+ local KV_MINOR="$(KV_minor "$*")"
|
||||
+ local KV_MICRO="$(KV_micro "$*")"
|
||||
+ local KV_int="$(( KV_MAJOR * 65536 + KV_MINOR * 256 + KV_MICRO ))"
|
||||
+ echo "${KV_int}"
|
||||
+}
|
||||
+
|
||||
+_RC_GET_KV_CACHE=""
|
||||
+get_KV() {
|
||||
+ [ -z ${_RC_GET_KV_CACHE} ] && _RC_GET_KV_CACHE=$(uname -r)
|
||||
+ echo $(KV_to_int "${_RC_GET_KV_CACHE}")
|
||||
+}
|
||||
+
|
||||
_sanitize_path()
|
||||
{
|
||||
local IFS=":" p= path=
|
||||
diff --git a/sh/runtests.sh b/sh/runtests.sh
|
||||
index d0d6a17..debcf4f 100755
|
||||
--- a/sh/runtests.sh
|
||||
+++ b/sh/runtests.sh
|
||||
@@ -3,6 +3,19 @@
|
||||
: ${top_srcdir:=..}
|
||||
. $top_srcdir/test/setup_env.sh
|
||||
|
||||
+checkit() {
|
||||
+ local output=$($1 $3)
|
||||
+ local lret=$?
|
||||
+ if [ ${lret} -ne 0 ] ; then
|
||||
+ ((tret+=lret))
|
||||
+ echo "FAIL: exec: $*"
|
||||
+ fi
|
||||
+ if [ "${output}" != "$2" ] ; then
|
||||
+ ((tret+=lret))
|
||||
+ echo "FAIL: output: $* : got='${output}' wanted='$2'"
|
||||
+ fi
|
||||
+}
|
||||
+
|
||||
ret=0
|
||||
|
||||
tret=0
|
||||
@@ -22,4 +35,36 @@ done
|
||||
eend $tret
|
||||
ret=$(($ret + $tret))
|
||||
|
||||
+compare_int() {
|
||||
+ local got=$(KV_to_int $1)
|
||||
+ local exp=$(KV_to_int $3)
|
||||
+ if ! [ ${got} $2 ${exp} ] ; then
|
||||
+ ((tret+=1))
|
||||
+ echo "FAIL: KV_to_int '${v}'(${got}) $2 '1.2.2'(${exp})"
|
||||
+ fi
|
||||
+}
|
||||
+
|
||||
+tret=0
|
||||
+ebegin "Testing KV_{major,minor,micro,to_int}"
|
||||
+for v in \
|
||||
+ 1.2.3 1.2.3-rc0 1.2.3_rc0 "1.2.3 rc0" \
|
||||
+ 1.2.3.4 1.2.3.4-rc0 1.2.3.4_rc0 "1.2.3.4 rc0"
|
||||
+do
|
||||
+ checkit KV_major 1 ${v}
|
||||
+ checkit KV_minor 2 ${v}
|
||||
+ checkit KV_micro 3 ${v}
|
||||
+
|
||||
+ compare_int 1.2.2 -lt ${v}
|
||||
+ compare_int 1.2.2.10 -lt ${v}
|
||||
+ compare_int 1.2.4 -gt ${v}
|
||||
+ compare_int 1.2.4-rc0 -gt ${v}
|
||||
+ compare_int 1.2.3 -eq ${v}
|
||||
+ compare_int 1.2.3-rc0 -eq ${v}
|
||||
+ compare_int 1.2.3.2 -eq ${v}
|
||||
+ compare_int 1.2.3.3 -eq ${v}
|
||||
+ compare_int 1.2.3.4 -eq ${v}
|
||||
+done
|
||||
+eend ${tret}
|
||||
+: $((ret+=tret))
|
||||
+
|
||||
exit $ret
|
||||
--
|
||||
1.5.4.4
|
||||
|
||||
25
sys-apps/openrc/files/0.5.2/0004-fix-typo.patch
Normal file
25
sys-apps/openrc/files/0.5.2/0004-fix-typo.patch
Normal file
|
|
@ -0,0 +1,25 @@
|
|||
From 5783aaed9e318853f98857633f647c96d5142e42 Mon Sep 17 00:00:00 2001
|
||||
From: William Hubbs <w.d.hubbs@gmail.com>
|
||||
Date: Sun, 18 Oct 2009 17:29:58 -0500
|
||||
Subject: [PATCH] fix typo
|
||||
|
||||
---
|
||||
init.d/network.in | 2 +-
|
||||
1 files changed, 1 insertions(+), 1 deletions(-)
|
||||
|
||||
diff --git a/init.d/network.in b/init.d/network.in
|
||||
index 5e60963..7f64b17 100644
|
||||
--- a/init.d/network.in
|
||||
+++ b/init.d/network.in
|
||||
@@ -174,7 +174,7 @@ start()
|
||||
{
|
||||
local cr=0 r= int= intv= cmd= args= upcmd=
|
||||
|
||||
- if [ -z "$domainname" && -s /etc/defaultdomain ]; then
|
||||
+ if [ -z "$domainname" -a -s /etc/defaultdomain ]; then
|
||||
domainname=$(cat /etc/defaultdomain)
|
||||
fi
|
||||
if [ -n "$domainname" ]; then
|
||||
--
|
||||
1.6.4.4
|
||||
|
||||
31
sys-apps/openrc/files/0.5.2/0005-fix-iproute2-support.patch
Normal file
31
sys-apps/openrc/files/0.5.2/0005-fix-iproute2-support.patch
Normal file
|
|
@ -0,0 +1,31 @@
|
|||
From aa6d81180167192ad41a73e896f58db89a81d371 Mon Sep 17 00:00:00 2001
|
||||
From: William Hubbs <w.d.hubbs@gmail.com>
|
||||
Date: Mon, 19 Oct 2009 22:25:40 -0500
|
||||
Subject: [PATCH] fix iproute2 support for gentoo bug 289762
|
||||
|
||||
---
|
||||
init.d/network.in | 6 +++---
|
||||
1 files changed, 3 insertions(+), 3 deletions(-)
|
||||
|
||||
diff --git a/init.d/network.in b/init.d/network.in
|
||||
index 5e60963..396c67d 100644
|
||||
--- a/init.d/network.in
|
||||
+++ b/init.d/network.in
|
||||
@@ -109,11 +109,11 @@ runip()
|
||||
local int="$1" err=
|
||||
|
||||
shift
|
||||
- err=$(LC_ALL=C ip address add "$@" dev "$int" 2>&1)
|
||||
+ err=$(LC_ALL=C ip address add "$@" dev "$int" brd + 2>&1)
|
||||
if [ -z "$err" ]; then
|
||||
# ip does not bring up the interface when adding addresses
|
||||
- if ! intup; then
|
||||
- ip set link up dev "$int"
|
||||
+ if ! $intup; then
|
||||
+ ip link set "$int" up
|
||||
intup=true
|
||||
fi
|
||||
return 0
|
||||
--
|
||||
1.6.4.4
|
||||
|
||||
46
sys-apps/openrc/files/9999/0001-msg-style.patch
Normal file
46
sys-apps/openrc/files/9999/0001-msg-style.patch
Normal file
|
|
@ -0,0 +1,46 @@
|
|||
From 1eddb56f11b41c4bf4f878c995c5d140b1f9d44d Mon Sep 17 00:00:00 2001
|
||||
From: Mike Frysinger <vapier@gentoo.org>
|
||||
Date: Mon, 24 Mar 2008 01:48:19 -0400
|
||||
Subject: [PATCH] This reverts commit 0e2f160c95b15e95f3885e3f5a3670ec5ae0a709. 2 spaces in 80 cols has never made any sort of realistic difference and we're not going to change this behavior in Gentoo.
|
||||
|
||||
---
|
||||
src/libeinfo/libeinfo.c | 9 +++------
|
||||
1 files changed, 3 insertions(+), 6 deletions(-)
|
||||
|
||||
diff --git a/src/libeinfo/libeinfo.c b/src/libeinfo/libeinfo.c
|
||||
index f8ddcb5..c46cacb 100644
|
||||
--- a/src/libeinfo/libeinfo.c
|
||||
+++ b/src/libeinfo/libeinfo.c
|
||||
@@ -817,7 +817,7 @@ static void _eend(FILE * __EINFO_RESTRICT fp, int col, ECOLOR color,
|
||||
if (!msg)
|
||||
return;
|
||||
|
||||
- cols = get_term_columns(fp) - (strlen(msg) + 3);
|
||||
+ cols = get_term_columns(fp) - (strlen(msg) + 5);
|
||||
|
||||
/* cons25 is special - we need to remove one char, otherwise things
|
||||
* do not align properly at all. */
|
||||
@@ -831,18 +831,15 @@ static void _eend(FILE * __EINFO_RESTRICT fp, int col, ECOLOR color,
|
||||
if (term_is_cons25)
|
||||
cols--;
|
||||
|
||||
- /* If extra spacing is required around msg, then please change
|
||||
- * via a runtime knob and leave this default as is as it saves 2
|
||||
- * valuable columns when running on 80 column screens. */
|
||||
if (cols > 0 && colour_terminal(fp)) {
|
||||
- fprintf(fp, "%s%s %s[%s%s%s]%s\n", up, tgoto(goto_column, 0, cols),
|
||||
+ fprintf(fp, "%s%s %s[%s %s %s]%s\n", up, tgoto(goto_column, 0, cols),
|
||||
ecolor(ECOLOR_BRACKET), ecolor(color), msg,
|
||||
ecolor(ECOLOR_BRACKET), ecolor(ECOLOR_NORMAL));
|
||||
} else {
|
||||
if (col > 0)
|
||||
for (i = 0; i < cols - col; i++)
|
||||
fprintf(fp, " ");
|
||||
- fprintf(fp, " [%s]\n", msg);
|
||||
+ fprintf(fp, " [ %s ]\n", msg);
|
||||
}
|
||||
}
|
||||
|
||||
--
|
||||
1.5.4.4
|
||||
|
||||
78
sys-apps/openrc/files/9999/0002-useful-functions.patch
Normal file
78
sys-apps/openrc/files/9999/0002-useful-functions.patch
Normal file
|
|
@ -0,0 +1,78 @@
|
|||
From 79e8ce8d2ea0ede99aba18d5f9a625a110aa918f Mon Sep 17 00:00:00 2001
|
||||
From: Mike Frysinger <vapier@gentoo.org>
|
||||
Date: Mon, 24 Mar 2008 02:03:39 -0400
|
||||
Subject: [PATCH] add a softlevel() function to the API so people dont have to worry about inner details and move get_bootparam back to the exported function.sh api
|
||||
|
||||
---
|
||||
sh/functions.sh.in | 22 ++++++++++++++++++++++
|
||||
sh/rc-functions.sh.in | 23 -----------------------
|
||||
2 files changed, 22 insertions(+), 23 deletions(-)
|
||||
|
||||
diff --git a/sh/functions.sh.in b/sh/functions.sh.in
|
||||
index 3f41f8f..be5285c 100644
|
||||
--- a/sh/functions.sh.in
|
||||
+++ b/sh/functions.sh.in
|
||||
@@ -42,6 +42,29 @@ rc_runlevel() {
|
||||
rc-status --runlevel
|
||||
}
|
||||
|
||||
+get_bootparam()
|
||||
+{
|
||||
+ local match="$1"
|
||||
+ [ -z "$match" -o ! -r /proc/cmdline ] && return 1
|
||||
+
|
||||
+ set -- $(cat /proc/cmdline)
|
||||
+ while [ -n "$1" ]; do
|
||||
+ [ "$1" = "$match" ] && return 0
|
||||
+ case "$1" in
|
||||
+ gentoo=*)
|
||||
+ local params="${1##*=}"
|
||||
+ local IFS=, x=
|
||||
+ for x in $params; do
|
||||
+ [ "$x" = "$match" ] && return 0
|
||||
+ done
|
||||
+ ;;
|
||||
+ esac
|
||||
+ shift
|
||||
+ done
|
||||
+
|
||||
+ return 1
|
||||
+}
|
||||
+
|
||||
_sanitize_path()
|
||||
{
|
||||
local IFS=":" p= path=
|
||||
diff --git a/sh/rc-functions.sh.in b/sh/rc-functions.sh.in
|
||||
index ebdb768..68cd6e7 100644
|
||||
--- a/sh/rc-functions.sh.in
|
||||
+++ b/sh/rc-functions.sh.in
|
||||
@@ -61,29 +61,6 @@ is_union_fs()
|
||||
unionctl "$1" --list >/dev/null 2>&1
|
||||
}
|
||||
|
||||
-get_bootparam()
|
||||
-{
|
||||
- local match="$1"
|
||||
- [ -z "$match" -o ! -r /proc/cmdline ] && return 1
|
||||
-
|
||||
- set -- $(cat /proc/cmdline)
|
||||
- while [ -n "$1" ]; do
|
||||
- [ "$1" = "$match" ] && return 0
|
||||
- case "$1" in
|
||||
- gentoo=*)
|
||||
- local params="${1##*=}"
|
||||
- local IFS=, x=
|
||||
- for x in $params; do
|
||||
- [ "$x" = "$match" ] && return 0
|
||||
- done
|
||||
- ;;
|
||||
- esac
|
||||
- shift
|
||||
- done
|
||||
-
|
||||
- return 1
|
||||
-}
|
||||
-
|
||||
# Add our sbin to $PATH
|
||||
case "$PATH" in
|
||||
"$RC_LIBDIR"/sbin|"$RC_LIBDIR"/sbin:*);;
|
||||
120
sys-apps/openrc/files/9999/0003-KV.patch
Normal file
120
sys-apps/openrc/files/9999/0003-KV.patch
Normal file
|
|
@ -0,0 +1,120 @@
|
|||
From dac703b26c71cd8479b71d101c4e1ddb8eadc194 Mon Sep 17 00:00:00 2001
|
||||
From: Mike Frysinger <vapier@gentoo.org>
|
||||
Date: Mon, 24 Mar 2008 03:14:02 -0400
|
||||
Subject: [PATCH] add back KV_* funcs
|
||||
|
||||
---
|
||||
sh/functions.sh.in | 35 +++++++++++++++++++++++++++++++++++
|
||||
sh/runtests.sh | 45 +++++++++++++++++++++++++++++++++++++++++++++
|
||||
2 files changed, 80 insertions(+), 0 deletions(-)
|
||||
|
||||
diff --git a/sh/functions.sh.in b/sh/functions.sh.in
|
||||
index 140f6dc..0522792 100644
|
||||
--- a/sh/functions.sh.in
|
||||
+++ b/sh/functions.sh.in
|
||||
@@ -65,6 +65,41 @@ get_bootparam()
|
||||
return 1
|
||||
}
|
||||
|
||||
+KV_major() {
|
||||
+ [ -z "$*" ] && return 1
|
||||
+ local KV="$*"
|
||||
+ echo ${KV%%.*}
|
||||
+}
|
||||
+
|
||||
+KV_minor() {
|
||||
+ [ -z "$*" ] && return 1
|
||||
+ local KV="$*"
|
||||
+ KV=${KV#*.}
|
||||
+ echo ${KV%%.*}
|
||||
+}
|
||||
+
|
||||
+KV_micro() {
|
||||
+ [ -z "$*" ] && return 1
|
||||
+ local KV="$*"
|
||||
+ KV=${KV#*.*.}
|
||||
+ echo ${KV%%[![:digit:]]*}
|
||||
+}
|
||||
+
|
||||
+KV_to_int() {
|
||||
+ [ -z "$*" ] && return 1
|
||||
+ local KV_MAJOR="$(KV_major "$*")"
|
||||
+ local KV_MINOR="$(KV_minor "$*")"
|
||||
+ local KV_MICRO="$(KV_micro "$*")"
|
||||
+ local KV_int="$(( KV_MAJOR * 65536 + KV_MINOR * 256 + KV_MICRO ))"
|
||||
+ echo "${KV_int}"
|
||||
+}
|
||||
+
|
||||
+_RC_GET_KV_CACHE=""
|
||||
+get_KV() {
|
||||
+ [ -z ${_RC_GET_KV_CACHE} ] && _RC_GET_KV_CACHE=$(uname -r)
|
||||
+ echo $(KV_to_int "${_RC_GET_KV_CACHE}")
|
||||
+}
|
||||
+
|
||||
_sanitize_path()
|
||||
{
|
||||
local IFS=":" p= path=
|
||||
diff --git a/sh/runtests.sh b/sh/runtests.sh
|
||||
index d0d6a17..debcf4f 100755
|
||||
--- a/sh/runtests.sh
|
||||
+++ b/sh/runtests.sh
|
||||
@@ -3,6 +3,19 @@
|
||||
: ${top_srcdir:=..}
|
||||
. $top_srcdir/test/setup_env.sh
|
||||
|
||||
+checkit() {
|
||||
+ local output=$($1 $3)
|
||||
+ local lret=$?
|
||||
+ if [ ${lret} -ne 0 ] ; then
|
||||
+ ((tret+=lret))
|
||||
+ echo "FAIL: exec: $*"
|
||||
+ fi
|
||||
+ if [ "${output}" != "$2" ] ; then
|
||||
+ ((tret+=lret))
|
||||
+ echo "FAIL: output: $* : got='${output}' wanted='$2'"
|
||||
+ fi
|
||||
+}
|
||||
+
|
||||
ret=0
|
||||
|
||||
tret=0
|
||||
@@ -22,4 +35,36 @@ done
|
||||
eend $tret
|
||||
ret=$(($ret + $tret))
|
||||
|
||||
+compare_int() {
|
||||
+ local got=$(KV_to_int $1)
|
||||
+ local exp=$(KV_to_int $3)
|
||||
+ if ! [ ${got} $2 ${exp} ] ; then
|
||||
+ ((tret+=1))
|
||||
+ echo "FAIL: KV_to_int '${v}'(${got}) $2 '1.2.2'(${exp})"
|
||||
+ fi
|
||||
+}
|
||||
+
|
||||
+tret=0
|
||||
+ebegin "Testing KV_{major,minor,micro,to_int}"
|
||||
+for v in \
|
||||
+ 1.2.3 1.2.3-rc0 1.2.3_rc0 "1.2.3 rc0" \
|
||||
+ 1.2.3.4 1.2.3.4-rc0 1.2.3.4_rc0 "1.2.3.4 rc0"
|
||||
+do
|
||||
+ checkit KV_major 1 ${v}
|
||||
+ checkit KV_minor 2 ${v}
|
||||
+ checkit KV_micro 3 ${v}
|
||||
+
|
||||
+ compare_int 1.2.2 -lt ${v}
|
||||
+ compare_int 1.2.2.10 -lt ${v}
|
||||
+ compare_int 1.2.4 -gt ${v}
|
||||
+ compare_int 1.2.4-rc0 -gt ${v}
|
||||
+ compare_int 1.2.3 -eq ${v}
|
||||
+ compare_int 1.2.3-rc0 -eq ${v}
|
||||
+ compare_int 1.2.3.2 -eq ${v}
|
||||
+ compare_int 1.2.3.3 -eq ${v}
|
||||
+ compare_int 1.2.3.4 -eq ${v}
|
||||
+done
|
||||
+eend ${tret}
|
||||
+: $((ret+=tret))
|
||||
+
|
||||
exit $ret
|
||||
--
|
||||
1.5.4.4
|
||||
|
||||
7
sys-apps/openrc/files/openrc.logrotate
Normal file
7
sys-apps/openrc/files/openrc.logrotate
Normal file
|
|
@ -0,0 +1,7 @@
|
|||
/var/log/rc.log {
|
||||
compress
|
||||
rotate 4
|
||||
weekly
|
||||
missingok
|
||||
notifempty
|
||||
}
|
||||
370
sys-apps/openrc/openrc-0.5.2-r1.ebuild
Normal file
370
sys-apps/openrc/openrc-0.5.2-r1.ebuild
Normal file
|
|
@ -0,0 +1,370 @@
|
|||
# Copyright 1999-2009 Gentoo Foundation
|
||||
# Distributed under the terms of the GNU General Public License v2
|
||||
# $Header: /var/cvsroot/gentoo-x86/sys-apps/openrc/openrc-0.5.2-r1.ebuild,v 1.1 2009/10/20 04:05:32 williamh Exp $
|
||||
|
||||
EAPI="1"
|
||||
|
||||
inherit eutils flag-o-matic multilib toolchain-funcs
|
||||
|
||||
if [[ ${PV} == "9999" ]] ; then
|
||||
EGIT_REPO_URI="git://roy.marples.name/openrc.git"
|
||||
inherit git
|
||||
KEYWORDS=""
|
||||
else
|
||||
SRC_URI="http://roy.marples.name/downloads/${PN}/${P}.tar.bz2
|
||||
mirror://gentoo/${P}.tar.bz2
|
||||
http://dev.gentoo.org/~cardoe/files/${P}.tar.bz2
|
||||
http://dev.gentoo.org/~vapier/dist/${P}.tar.bz2"
|
||||
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
|
||||
fi
|
||||
|
||||
DESCRIPTION="OpenRC manages the services, startup and shutdown of a host"
|
||||
HOMEPAGE="http://roy.marples.name/openrc"
|
||||
|
||||
LICENSE="BSD-2"
|
||||
SLOT="0"
|
||||
IUSE="debug elibc_glibc ncurses pam unicode kernel_linux kernel_FreeBSD +pentoo"
|
||||
|
||||
RDEPEND="virtual/init
|
||||
kernel_FreeBSD? ( sys-process/fuser-bsd )
|
||||
elibc_glibc? ( >=sys-libs/glibc-2.5 )
|
||||
ncurses? ( sys-libs/ncurses )
|
||||
pam? ( virtual/pam )
|
||||
>=sys-apps/baselayout-2.0.0
|
||||
kernel_linux? ( !<sys-apps/module-init-tools-3.2.2-r2 )
|
||||
!<sys-fs/udev-133
|
||||
!<sys-apps/sysvinit-2.86-r11"
|
||||
DEPEND="${RDEPEND}
|
||||
virtual/os-headers"
|
||||
|
||||
make_args() {
|
||||
unset LIBDIR #266688
|
||||
|
||||
MAKE_ARGS="${MAKE_ARGS} LIBNAME=$(get_libdir) LIBEXECDIR=/$(get_libdir)/rc"
|
||||
MAKE_ARGS="${MAKE_ARGS} MKOLDNET=yes"
|
||||
|
||||
local brand="Unknown"
|
||||
if use kernel_linux ; then
|
||||
MAKE_ARGS="${MAKE_ARGS} OS=Linux"
|
||||
brand="Linux"
|
||||
elif use kernel_FreeBSD ; then
|
||||
MAKE_ARGS="${MAKE_ARGS} OS=FreeBSD"
|
||||
brand="FreeBSD"
|
||||
fi
|
||||
export BRANDING="Pentoo ${brand}"
|
||||
}
|
||||
|
||||
pkg_setup() {
|
||||
export DEBUG=$(usev debug)
|
||||
export MKPAM=$(usev pam)
|
||||
export MKTERMCAP=$(usev ncurses)
|
||||
}
|
||||
|
||||
src_unpack() {
|
||||
if [[ ${PV} == "9999" ]] ; then
|
||||
git_src_unpack
|
||||
else
|
||||
unpack ${A}
|
||||
fi
|
||||
cd "${S}"
|
||||
sed -i 's:0444:0644:' mk/sys.mk
|
||||
sed -i "/^DIR/s:/openrc:/${PF}:" doc/Makefile #241342
|
||||
sed -i '/^CFLAGS+=.*_CC_FLAGS_SH/d' mk/cc.mk #289264
|
||||
[[ -d ${FILESDIR}/${PV} ]] \
|
||||
&& epatch "${FILESDIR}"/${PV}/*.patch \
|
||||
|| epatch "${FILESDIR}"/9999/*.patch
|
||||
}
|
||||
|
||||
src_compile() {
|
||||
make_args
|
||||
|
||||
if [[ ${PV} == "9999" ]] ; then
|
||||
local ver="git-$(echo ${EGIT_VERSION} | cut -c1-8)"
|
||||
sed -i "/^GITVER[[:space:]]*=/s:=.*:=${ver}:" mk/git.mk
|
||||
fi
|
||||
|
||||
tc-export CC AR RANLIB
|
||||
emake ${MAKE_ARGS} || die "emake ${MAKE_ARGS} failed"
|
||||
}
|
||||
|
||||
# set_config <file> <option name> <yes value> <no value> test
|
||||
# a value of "#" will just comment out the option
|
||||
set_config() {
|
||||
local file="${D}/$1" var=$2 val com
|
||||
eval "${@:5}" && val=$3 || val=$4
|
||||
[[ ${val} == "#" ]] && com="#" && val='\2'
|
||||
sed -i -r -e "/^#?${var}=/{s:=([\"'])?([^ ]*)\1?:=\1${val}\1:;s:^#?:${com}:}" "${file}"
|
||||
}
|
||||
set_config_yes_no() {
|
||||
set_config "$1" "$2" YES NO "${@:3}"
|
||||
}
|
||||
|
||||
src_install() {
|
||||
make_args
|
||||
emake ${MAKE_ARGS} DESTDIR="${D}" install || die
|
||||
|
||||
# install the readme for the new network scripts
|
||||
dodoc README.net
|
||||
|
||||
# move the shared libs back to /usr so ldscript can install
|
||||
# more of a minimal set of files
|
||||
# disabled for now due to #270646
|
||||
#mv "${D}"/$(get_libdir)/lib{einfo,rc}* "${D}"/usr/$(get_libdir)/ || die
|
||||
#gen_usr_ldscript -a einfo rc
|
||||
gen_usr_ldscript libeinfo.so
|
||||
gen_usr_ldscript librc.so
|
||||
|
||||
keepdir /$(get_libdir)/rc/{init.d,tmp}
|
||||
|
||||
# Backup our default runlevels
|
||||
dodir /usr/share/"${PN}"
|
||||
cp -PR "${D}"/etc/runlevels "${D}"/usr/share/${PN} || die
|
||||
rm -rf "${D}"/etc/runlevels
|
||||
|
||||
# Stick with "old" net as the default for now
|
||||
doconfd conf.d/net || die
|
||||
rm -f "${D}"/usr/share/${PN}/network
|
||||
ln -s /etc/init.d/net.lo "${D}"/usr/share/${PN}/net.lo
|
||||
|
||||
# Setup unicode defaults for silly unicode users
|
||||
set_config_yes_no /etc/rc.conf unicode use unicode
|
||||
|
||||
# Cater to the norm
|
||||
set_config_yes_no /etc/conf.d/keymaps windowkeys '(' use x86 '||' use amd64 ')'
|
||||
|
||||
# Support for logfile rotation
|
||||
insinto /etc/logrotate.d
|
||||
newins "${FILESDIR}"/openrc.logrotate openrc
|
||||
}
|
||||
|
||||
add_boot_init() {
|
||||
local initd=$1
|
||||
# if the initscript is not going to be installed and is not
|
||||
# currently installed, return
|
||||
[[ -e ${D}/etc/init.d/${initd} || -e ${ROOT}/etc/init.d/${initd} ]] \
|
||||
|| return
|
||||
[[ -e ${ROOT}/etc/runlevels/boot/${initd} ]] && return
|
||||
|
||||
# if runlevels dont exist just yet, then create it but still flag
|
||||
# to pkg_postinst that it needs real setup #277323
|
||||
if [[ ! -d ${ROOT}/etc/runlevels/boot ]] ; then
|
||||
mkdir -p "${ROOT}"/etc/runlevels/boot
|
||||
touch "${ROOT}"/etc/runlevels/.add_boot_init.created
|
||||
fi
|
||||
|
||||
elog "Auto-adding '${initd}' service to your boot runlevel"
|
||||
ln -snf /etc/init.d/${initd} "${ROOT}"/etc/runlevels/boot/${initd}
|
||||
}
|
||||
add_boot_init_mit_config() {
|
||||
local config=$1 initd=$2
|
||||
if [[ -e ${ROOT}${config} ]] ; then
|
||||
if [[ -n $(sed -e 's:#.*::' -e '/^[[:space:]]*$/d' "${ROOT}"/${config}) ]] ; then
|
||||
add_boot_init ${initd}
|
||||
fi
|
||||
fi
|
||||
}
|
||||
|
||||
pkg_preinst() {
|
||||
local f LIBDIR=$(get_libdir)
|
||||
|
||||
# default net script is just comments, so no point in biting people
|
||||
# in the ass by accident. we save in preinst so that the package
|
||||
# manager doesnt go throwing etc-update crap at us -- postinst is
|
||||
# too late to prevent that. this behavior also lets us keep the
|
||||
# file in the CONTENTS for binary packages.
|
||||
[[ -e ${ROOT}/etc/conf.d/net ]] && cp "${ROOT}"/etc/conf.d/net "${D}"/etc/conf.d/
|
||||
|
||||
# upgrade timezone file ... do it before moving clock
|
||||
if [[ -e ${ROOT}/etc/conf.d/clock && ! -e ${ROOT}/etc/timezone ]] ; then
|
||||
(
|
||||
source "${ROOT}"/etc/conf.d/clock
|
||||
[[ -n ${TIMEZONE} ]] && echo "${TIMEZONE}" > "${ROOT}"/etc/timezone
|
||||
)
|
||||
fi
|
||||
|
||||
# /etc/conf.d/clock moved to /etc/conf.d/hwclock
|
||||
local clock
|
||||
use kernel_FreeBSD && clock="adjkerntz" || clock="hwclock"
|
||||
if [[ -e ${ROOT}/etc/conf.d/clock ]] ; then
|
||||
mv "${ROOT}"/etc/conf.d/clock "${ROOT}"/etc/conf.d/${clock}
|
||||
fi
|
||||
if [[ -e ${ROOT}/etc/init.d/clock ]] ; then
|
||||
rm -f "${ROOT}"/etc/init.d/clock
|
||||
fi
|
||||
if [[ -L ${ROOT}/etc/runlevels/boot/clock ]] ; then
|
||||
rm -f "${ROOT}"/etc/runlevels/boot/clock
|
||||
ln -snf /etc/init.d/${clock} "${ROOT}"/etc/runlevels/boot/${clock}
|
||||
fi
|
||||
if [[ -L ${ROOT}${LIBDIR}/rc/init.d/started/clock ]] ; then
|
||||
rm -f "${ROOT}${LIBDIR}"/rc/init.d/started/clock
|
||||
ln -snf /etc/init.d/${clock} "${ROOT}${LIBDIR}"/rc/init.d/started/${clock}
|
||||
fi
|
||||
|
||||
# /etc/conf.d/rc is no longer used for configuration
|
||||
if [[ -e ${ROOT}/etc/conf.d/rc ]] ; then
|
||||
elog "/etc/conf.d/rc is no longer used for configuration."
|
||||
elog "Please migrate your settings to /etc/rc.conf as applicable"
|
||||
elog "and delete /etc/conf.d/rc"
|
||||
fi
|
||||
|
||||
# force net init.d scripts into symlinks
|
||||
for f in "${ROOT}"/etc/init.d/net.* ; do
|
||||
[[ -e ${f} ]] || continue # catch net.* not matching anything
|
||||
[[ ${f} == */net.lo ]] && continue # real file now
|
||||
[[ ${f} == *.openrc.bak ]] && continue
|
||||
if [[ ! -L ${f} ]] ; then
|
||||
elog "Moved net service '${f##*/}' to '${f##*/}.openrc.bak' to force a symlink."
|
||||
elog "You should delete '${f##*/}.openrc.bak' if you don't need it."
|
||||
mv "${f}" "${f}.openrc.bak"
|
||||
ln -snf net.lo "${f}"
|
||||
fi
|
||||
done
|
||||
|
||||
# termencoding was added in 0.2.1 and needed in boot
|
||||
has_version ">=sys-apps/openrc-0.2.1" || add_boot_init termencoding
|
||||
|
||||
# openrc-0.4.0 no longer loads the udev addon
|
||||
enable_udev=0
|
||||
if [[ ! -e "${ROOT}"/etc/runlevels/sysinit/udev ]] && \
|
||||
[[ -e "${ROOT}"/etc/init.d/udev ]] && \
|
||||
! has_version ">=sys-apps/openrc-0.4.0"
|
||||
then
|
||||
# make sure udev is in sysinit if it was enabled before
|
||||
local rc_devices=$(
|
||||
[[ -f /etc/rc.conf ]] && source /etc/rc.conf
|
||||
[[ -f /etc/conf.d/rc ]] && source /etc/conf.d/rc
|
||||
echo "${rc_devices:-${RC_DEVICES:-auto}}"
|
||||
)
|
||||
case ${rc_devices} in
|
||||
udev|auto)
|
||||
enable_udev=1
|
||||
;;
|
||||
esac
|
||||
fi
|
||||
|
||||
# set default interactive shell to sulogin if it exists
|
||||
set_config /etc/rc.conf rc_shell /sbin/sulogin "#" test -e /sbin/sulogin
|
||||
|
||||
# skip remaining migration if we already have openrc installed
|
||||
has_version sys-apps/openrc || migrate_from_baselayout_1
|
||||
}
|
||||
|
||||
migrate_from_baselayout_1() {
|
||||
# baselayout boot init scripts have been split out
|
||||
for f in $(cd "${D}"/usr/share/${PN}/runlevels/boot || exit; echo *) ; do
|
||||
# baselayout-1 is always "old" net, so ignore "new" net
|
||||
[[ ${f} == "network" ]] && continue
|
||||
|
||||
add_boot_init ${f}
|
||||
done
|
||||
|
||||
# Try to auto-add some addons when possible
|
||||
add_boot_init_mit_config /etc/conf.d/cryptfs dmcrypt
|
||||
add_boot_init_mit_config /etc/conf.d/dmcrypt dmcrypt
|
||||
add_boot_init_mit_config /etc/mdadm.conf mdraid
|
||||
add_boot_init_mit_config /etc/evms.conf evms
|
||||
[[ -e ${ROOT}/sbin/dmsetup ]] && add_boot_init device-mapper
|
||||
[[ -e ${ROOT}/sbin/vgscan ]] && add_boot_init lvm
|
||||
elog "Add on services (such as RAID/dmcrypt/LVM/etc...) are now stand alone"
|
||||
elog "init.d scripts. If you use such a thing, make sure you have the"
|
||||
elog "required init.d scripts added to your boot runlevel."
|
||||
|
||||
# Upgrade out state for baselayout-1 users
|
||||
if [[ ! -e ${ROOT}${LIBDIR}/rc/init.d/started ]] ; then
|
||||
(
|
||||
[[ -e ${ROOT}/etc/conf.d/rc ]] && source "${ROOT}"/etc/conf.d/rc
|
||||
svcdir=${svcdir:-/var/lib/init.d}
|
||||
if [[ ! -d ${ROOT}${svcdir}/started ]] ; then
|
||||
ewarn "No state found, and no state exists"
|
||||
elog "You should reboot this host"
|
||||
else
|
||||
mkdir -p "${ROOT}${LIBDIR}/rc/init.d"
|
||||
einfo "Moving state from ${ROOT}${svcdir} to ${ROOT}${LIBDIR}/rc/init.d"
|
||||
mv "${ROOT}${svcdir}"/* "${ROOT}${LIBDIR}"/rc/init.d
|
||||
rm -rf "${ROOT}${LIBDIR}"/rc/init.d/daemons \
|
||||
"${ROOT}${LIBDIR}"/rc/init.d/console
|
||||
umount "${ROOT}${svcdir}" 2>/dev/null
|
||||
rm -rf "${ROOT}${svcdir}"
|
||||
fi
|
||||
)
|
||||
fi
|
||||
|
||||
# Handle the /etc/modules.autoload.d -> /etc/conf.d/modules transition
|
||||
if [[ -d ${ROOT}/etc/modules.autoload.d ]] ; then
|
||||
elog "Converting your /etc/modules.autoload.d/ files to /etc/conf.d/modules"
|
||||
rm -f "${ROOT}"/etc/modules.autoload.d/.keep*
|
||||
rmdir "${ROOT}"/etc/modules.autoload.d 2>/dev/null
|
||||
if [[ -d ${ROOT}/etc/modules.autoload.d ]] ; then
|
||||
local f v
|
||||
for f in "${ROOT}"/etc/modules.autoload.d/* ; do
|
||||
v=${f##*/}
|
||||
v=${v#kernel-}
|
||||
v=${v//[^[:alnum:]]/_}
|
||||
gawk -v v="${v}" -v f="${f##*/}" '
|
||||
BEGIN { print "\n### START: Auto-converted from " f "\n" }
|
||||
{
|
||||
if ($0 ~ /^[^#]/) {
|
||||
print "modules_" v "=\"${modules_" v "} " $1 "\""
|
||||
gsub(/[^[:alnum:]]/, "_", $1)
|
||||
printf "module_" $1 "_args_" v "=\""
|
||||
for (i = 2; i <= NF; ++i) {
|
||||
if (i > 2)
|
||||
printf " "
|
||||
printf $i
|
||||
}
|
||||
print "\"\n"
|
||||
} else
|
||||
print
|
||||
}
|
||||
END { print "\n### END: Auto-converted from " f "\n" }
|
||||
' "${f}" >> "${D}"/etc/conf.d/modules
|
||||
done
|
||||
rm -f "${f}"
|
||||
rmdir "${ROOT}"/etc/modules.autoload.d 2>/dev/null
|
||||
fi
|
||||
fi
|
||||
}
|
||||
|
||||
pkg_postinst() {
|
||||
local LIBDIR=$(get_libdir)
|
||||
|
||||
# Remove old baselayout links
|
||||
rm -f "${ROOT}"/etc/runlevels/boot/{check{fs,root},rmnologin}
|
||||
|
||||
# Make our runlevels if they don't exist
|
||||
if [[ ! -e ${ROOT}/etc/runlevels ]] || [[ -e ${ROOT}/etc/runlevels/.add_boot_init.created ]] ; then
|
||||
einfo "Copying across default runlevels"
|
||||
cp -RPp "${ROOT}"/usr/share/${PN}/runlevels "${ROOT}"/etc
|
||||
rm -f "${ROOT}"/etc/runlevels/.add_boot_init.created
|
||||
else
|
||||
if [[ ! -e ${ROOT}/etc/runlevels/sysinit/devfs ]] ; then
|
||||
mkdir -p "${ROOT}"/etc/runlevels/sysinit
|
||||
cp -RPp "${ROOT}"/usr/share/${PN}/runlevels/sysinit/* \
|
||||
"${ROOT}"/etc/runlevels/sysinit
|
||||
fi
|
||||
if [[ ! -e ${ROOT}/etc/runlevels/shutdown/mount-ro ]] ; then
|
||||
mkdir -p "${ROOT}"/etc/runlevels/shutdown
|
||||
cp -RPp "${ROOT}"/usr/share/${PN}/runlevels/shutdown/* \
|
||||
"${ROOT}"/etc/runlevels/shutdown
|
||||
fi
|
||||
fi
|
||||
|
||||
if [[ "$enable_udev" = 1 ]]; then
|
||||
elog "Auto adding udev init script to the sysinit runlevel"
|
||||
ln -sf /etc/init.d/udev "${ROOT}"/etc/runlevels/sysinit/udev
|
||||
fi
|
||||
|
||||
# update the dependency tree bug #224171
|
||||
[[ "${ROOT}" = "/" ]] && "${ROOT}/${LIBDIR}"/rc/bin/rc-depend -u
|
||||
|
||||
if [[ -d ${ROOT}/etc/modules.autoload.d ]] ; then
|
||||
ewarn "/etc/modules.autoload.d is no longer used. Please convert"
|
||||
ewarn "your files to /etc/conf.d/modules and delete the directory."
|
||||
fi
|
||||
|
||||
elog "You should now update all files in /etc, using etc-update"
|
||||
elog "or equivalent before restarting any services or this host."
|
||||
elog
|
||||
elog "Please read the migration guide available at:"
|
||||
elog "http://www.gentoo.org/doc/en/openrc-migration.xml"
|
||||
}
|
||||
1
sys-apps/pentoo/Manifest
Normal file
1
sys-apps/pentoo/Manifest
Normal file
|
|
@ -0,0 +1 @@
|
|||
EBUILD pentoo-2009.1.ebuild 742 RMD160 800e8bc740199dc5c1f9daf77e0cb66876e12abf SHA1 1e86c8f888e0308795b0b2c31c9af512688a09ee SHA256 05072a1b4832596fb12454a72d7514329000e69d85a9a4347576b33531b651c7
|
||||
22
sys-apps/pentoo/pentoo-2009.1.ebuild
Normal file
22
sys-apps/pentoo/pentoo-2009.1.ebuild
Normal file
|
|
@ -0,0 +1,22 @@
|
|||
# Copyright 1999-2009 Gentoo Foundation
|
||||
# Distributed under the terms of the GNU General Public License v2
|
||||
# $Header: /var/cvsroot/gentoo-x
|
||||
|
||||
EAPI="2"
|
||||
KEYWORDS="~x86 ~amd64"
|
||||
DESCRIPTION="One ebuild to rule them all and in the darkness bind them"
|
||||
HOMEPAGE="http://www.pentoo.ch"
|
||||
SLOT="0"
|
||||
LICENSE="GPL"
|
||||
IUSE=""
|
||||
|
||||
RDEPEND="sys-apps/openrc[pentoo]"
|
||||
DEPEND="${RDEPEND}"
|
||||
|
||||
src_compile() {
|
||||
elog "This ebuild is a meta ebuild to handle all the pentoo specific things which"
|
||||
elog "we can't figure out how to handle cleanly. This will allow us our very own"
|
||||
elog "meta-package which can be used to make sure the installed users can be"
|
||||
elog "updated when we make fairly major changes. This may not handle everything,"
|
||||
elog "but it is a start..."
|
||||
}
|
||||
|
|
@ -1,18 +0,0 @@
|
|||
Index: wireless-testing/drivers/net/wireless/Kconfig
|
||||
===================================================================
|
||||
--- wireless-testing.orig/drivers/net/wireless/Kconfig
|
||||
+++ wireless-testing/drivers/net/wireless/Kconfig
|
||||
@@ -433,6 +433,13 @@ config RTL8187
|
||||
|
||||
Thanks to Realtek for their support!
|
||||
|
||||
+# If possible, automatically enable LEDs for RTL8187.
|
||||
+
|
||||
+config RTL8187_LEDS
|
||||
+ bool
|
||||
+ depends on RTL8187 && MAC80211_LEDS && (LEDS_CLASS = y || LEDS_CLASS = RTL8187)
|
||||
+ default y
|
||||
+
|
||||
config ADM8211
|
||||
tristate "ADMtek ADM8211 support"
|
||||
depends on MAC80211 && PCI && WLAN_80211 && EXPERIMENTAL
|
||||
Loading…
Reference in a new issue